Package com.ads.api.beans.common

# Enum Class APIConstants.FileExtension

java.lang.Object
java.lang.Enum<APIConstants.FileExtension>
com.ads.api.beans.common.APIConstants.FileExtension

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.FileExtension>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.FileExtension extends Enum<APIConstants.FileExtension>
These ENUM constants are used to specify the FileExtension as AMP, ZIP, and XML. The constants of this enumerated type provides a simple classification of the declared elements.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AMP`
  AMP - Refers to the file extension is AMP.
  `NONE`
  `XML`
  XML - Refers to the file extension is XML.
  `ZIP`
  ZIP - Refers to the file extension is ZIP.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static APIConstants.FileExtension`
  `getFileExtension(String value)`
  `static APIConstants.FileExtension`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.FileExtension[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AMP

    public static final APIConstants.FileExtension AMP
    AMP - Refers to the file extension is AMP.

  - ### ZIP

    public static final APIConstants.FileExtension ZIP
    ZIP - Refers to the file extension is ZIP.

  - ### XML

    public static final APIConstants.FileExtension XML
    XML - Refers to the file extension is XML.

  - ### NONE

    public static final APIConstants.FileExtension NONE

- ## Method Details

  - ### values

    public static APIConstants.FileExtension[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.FileExtension valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getFileExtension

    public static APIConstants.FileExtension getFileExtension(String value)
    Parameters:
      `value` -
    Returns: